matrix:
  platform:
    - rockylinux8
    - debian10
    - ubuntu2004
    - macos
    - windows
  bazel: [ 7.x ]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
      - '@sqlite_orm//:sqlite_orm'
bcr_example_module:
  module_path: examples
  matrix:
    platform:
      - rockylinux8
      - debian10
      - ubuntu2004
      - macos
      - windows
    bazel: [ 7.x ]
  tasks:
    run_example_module:
      name: Run example module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - ///...
      test_targets:
        - ///...

